package fr.inra.pappso.xtandempipeline.grouping;

import java.util.HashMap;

import org.apache.log4j.Logger;

public class HashProteinSet extends HashKey4GroupsSet {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4336539016965494789L;

	/**
	 * 
	 */
	private static final Logger logger = Logger.getLogger(HashProteinSet.class);

	private HashMap<Integer, HashProtein> getHashProtein = new HashMap<Integer, HashProtein>(
			0);

	public HashProteinSet() {
		// logger.debug("HashPeptideSet begin");
	}

	public HashProtein getInstance(String accession) {
		HashProtein temp = new HashProtein(accession);

		if (this.add(temp)) {
			getHashProtein.put(temp.hashCode(), temp);
			return (temp);
		}
		return getHashProtein.get(temp.hashCode());
	}

	@Override
	public void clear() {
		getHashProtein = new HashMap<Integer, HashProtein>(0);
		super.clear();
	}

}
