
package fr.inra.pappso.xtandempipeline.sax_parse;

import java.io.*;

import fr.inra.pappso.xtandempipeline.MsException.MSMSException;

public class msms_output {
	// attributs
	private String file;
	private PrintWriter OUT = null;
	
	public msms_output (){
		this.file = null;
	}
	
	public void open (String F) throws MSMSException{
		this.file = F;
		try {
			this.OUT = new PrintWriter(new FileWriter(file));
		} catch (Exception e) {
			throw new MSMSException("Impossible to create the file : " + file);
		}
	}

	public void close() throws MSMSException{
		try {
			OUT.close();
		} catch (Exception e) {
			throw new MSMSException("Impossible to close the file : " + file);
		}
	}
	
	public void write (String S) throws MSMSException{
		try {
			OUT.print(S);
		} catch (Exception e) {
			throw new MSMSException("Impossible to write to the file : " + file);
		}	
	}
}
