package fr.inra.pappso.xtandempipeline.sax_parse;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

import fr.inra.pappso.xtandempipeline.class_msms.xtandem_param;

public class xml_xtandem_param extends org.xml.sax.helpers.DefaultHandler {

	private String Last_element_;

	private String Start_element_;

	private String C_data;

	private xtandem_params params;

	private xtandem_param param_;

	private boolean valid_param;

	public xml_xtandem_param(xtandem_params p) {
		this.params = p;
	}

	public void error(SAXParseException e) throws SAXParseException {
		throw e;
	}

	public void startDocument() throws SAXException {
		Last_element_ = "";
		Start_element_ = "";
		C_data = "";
		valid_param = false;
	}

	public void endDocument() throws SAXException {

	}

	public void startElement(String namespaceURI, String simpleName,
			String qualifiedName, Attributes attrs) throws SAXException {
		Start_element_ = simpleName;
		if (Start_element_.equals(""))
			Start_element_ = qualifiedName;
		// System.out.println("Start= "+Start_element_);

		if (Start_element_.equals("note") && attrs.getValue("type") != null
				&& attrs.getValue("type").equals("input")) {
			// Modification de l'erreur de balise refine
			if (attrs.getValue("label").equalsIgnoreCase("refine, refine")) {
				param_ = params.get_param_to("refine");
				System.out.println("modified refine bug");
			} else {
				param_ = params.get_param_to(attrs.getValue("label"));
			}

			if (param_ != null && param_.isModified()) {
				valid_param = true;
			}
		}
		C_data = "";
	}

	public void endElement(String namespaceURI, String simpleName,
			String qualifiedName) throws SAXException {
		Last_element_ = simpleName;
		if (Last_element_.equals(""))
			Last_element_ = qualifiedName;

		if (Last_element_.equals("note") && valid_param) {
			param_.setValue(C_data);
			System.out.println(param_.xmlvalue() + " : " + C_data);
			valid_param = false;
		}
		C_data = "";
	}

	public void characters(char buf[], int offset, int len) throws SAXException {
		C_data = C_data + new String(buf, offset, len);
		// System.out.println(C_data);
	}

}
