package fr.inra.pappso.xtandempipeline.grouping;

import java.util.HashMap;

import org.apache.log4j.Logger;

public class HashPeptideSet extends HashKey4GroupsSet {
	/**
	 * 
	 */
	private static final long serialVersionUID = 7091759954139159590L;

	/**
	 * 
	 */
	private static final Logger logger = Logger.getLogger(HashPeptideSet.class);

	private HashMap<Integer, HashPeptide> getHashPeptide = new HashMap<Integer, HashPeptide>(
			0);

	public HashPeptideSet() {
		// logger.debug("HashPeptideSet begin");
	}

	@Override
	public void clear() {
		getHashPeptide = new HashMap<Integer, HashPeptide>(0);
		super.clear();
	}

	public HashPeptide getInstance(HashSampleScan sampleScan, String sequence)
			throws Exception {
		if (sampleScan == null) {
			throw new Exception("sampleScan is null");
		}
		HashPeptide temp = new HashPeptide(sampleScan, sequence);

		if (this.add(temp)) {
			getHashPeptide.put(temp.hashCode(), temp);
			return (temp);
		}
		return getHashPeptide.get(temp.hashCode());
	}

}
